package com.sztzjy.forex.trading_trading.controller;

import com.alibaba.fastjson.JSONObject;
import com.sztzjy.forex.trading_trading.annotation.AnonymousAccess;
import com.sztzjy.forex.trading_trading.common.mql5API.Mql5API;
import com.sztzjy.forex.trading_trading.entity.mql5Entity.ExchangeFrateEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

//学生端 交易
@RestController
@RequestMapping("api/trading")
public class TradingController {

    //获取市场报价
    @AnonymousAccess
    @PostMapping("getMarketQuotation")
    public JSONObject getMarketQuotation(){
        Mql5API mql5API=new Mql5API();
        ExchangeFrateEntity exchangeFrate = mql5API.getExchangeFrate();
        return exchangeFrate;
    }

    //市场报价交易
    @AnonymousAccess
    @PostMapping("TransactionMarketQuotation")
    public JSONObject getMarketQuotation(JSONObject jsonObject){
        Mql5API mql5API=new Mql5API();
        ExchangeFrateEntity exchangeFrate = mql5API.getExchangeFrate();
        return exchangeFrate;
    }
}
